# Adding a general build configuration
# (c) Pierre-Marie Desombre, Eric MAEKER, 2008-2009
# BSD revised Licence

TEMPLATE = app
TARGET = recettedialog

# always include the config.pri __after__ the TARGET's definition
include(../../../buildspecs/config.pri)

# redefine the TARGET's name (this can be moved in the config.pri file)
TARGET = $$BINARY_NAME

# define destination path
DESTDIR = $$BUILD_BINARY_PATH

DEPENDPATH += $$PWD

# include common code
include($$SOURCES_ROOT_PATH/src/common/common.pri)

# include qprintereasy code
include($$SOURCES_ROOT_PATH/src/common/print/src.pri)

#include ccam code
include($$SOURCES_ROOT_PATH/src/ccam/ccam.pri)

# Input
HEADERS +=  modifierrecette.h \
            recettedialog.h \
            rafraichirdialog.h \
            customModel.h \
            pondere.h \
            ../../common/configure/sitesdialog.h \
            ../../common/configure/payeursdialog.h \
            ../../common/configure/actesdispo.h \
            ../../common/configure/pourcentages.h \
            ../../common/configure/parametredialog.h \
            ../../common/configure/modifutil.h \
            ../../common/configure/automatisme.h \
            ../../common/configure/vision.h \
            ../../common/configure/rapport.h \ 
            ../../common/configure/pratid.h \
            ../../common/configure/thesaurus.h \
            ../parametrages/parametrages.h \
            ../../common/configure/mdp.h \
            ../../common/completeBase.h \
            ../../common/configure/utilisateur.h \
            ../../recettestriees/etatdesdus/etatdesdus.h\
            ../../recettestriees/etatdesdus/tableau.h\
            ../../common/configure/help.h \
            ../../common/creationtable.h 


FORMS += recettedialog.ui \
         modifierrecette.ui \
         rafraichirdialog.ui \
         pondere.ui\
         ../../common/configure/sitesdialog.ui \
         ../../common/configure/payeursdialog.ui \
         ../../common/configure/actesdispodialog.ui \
         ../../common/configure/pourcentagesdialog.ui \
         ../../common/configure/parametredialog.ui \
         ../../common/configure/modifUtil.ui \
         ../../common/configure/automatisme.ui \
         ../../common/configure/rapport.ui \
         ../../common/configure/PratIdDialog.ui \
         ../parametrages/ParametragesDialog.ui \
         ../../common/configure/MdpDialog.ui \
         ../../common/configure/utilisateurdialog.ui \
         ../../recettestriees/etatdesdus/etatdesdusdialog.ui\
         ../../recettestriees/etatdesdus/tableaudialog.ui\
         ../../common/configure/thesaurusWidget.ui \
         ../../common/configure/helpForm.ui \
         ../../common/configure/vision.ui

SOURCES += main.cpp \
           modifierrecette.cpp \
           recettedialog.cpp \
           rafraichirdialog.cpp \
           customModel.cpp \
           pondere.cpp\
           ../../common/configure/sitesdialog.cpp \
           ../../common/configure/payeursdialog.cpp \
           ../../common/configure/actesdispo.cpp \
           ../../common/configure/pourcentages.cpp \
           ../../common/configure/parametredialog.cpp \
           ../../common/configure/modifutil.cpp \
           ../../common/configure/automatisme.cpp \
           ../../common/configure/vision.cpp \
           ../../common/configure/rapport.cpp \
           ../../common/configure/pratid.cpp \
           ../parametrages/parametrages.cpp \
           ../../common/creationtable.cpp \
           ../../common/configure/mdp.cpp \
           ../../common/configure/utilisateur.cpp \
           ../../recettestriees/etatdesdus/etatdesdus.cpp\
           ../../recettestriees/etatdesdus/tableau.cpp\
           ../../common/configure/help.cpp \
           ../../common/configure/thesaurus.cpp \
           ../../common/completeBase.cpp 

QT += sql \
      xml \
      qt3support

#win32 {
#CONFIG += qt windows release console
#}


